# QDomCharacterData Class Reference

### [com.trolltech.qt.xml package]

Inherits QDomNode.

### Constructor

- void QDomCharacterData()
- void QDomCharacterData(QDomCharacterData x)

### Constructor Properties

- prototype: The QDomCharacterData prototype object

### Prototype Object Properties

The QDomCharacterData prototype object inherits properties from the QDomNode prototype object and also has the following properties.

- void appendData(String arg)
- String data()
- void deleteData(unsigned long offset, unsigned long count)
- void insertData(unsigned long offset, String arg)
- uint length()
- void replaceData(unsigned long offset, unsigned long count, String arg)
- void setData(String arg__1)
- String substringData(unsigned long offset, unsigned long count)

### Instance Properties

QDomCharacterData objects have no special properties beyond those inherited from the QDomCharacterData prototype object.